{
  "schema_version": "1.4.0",
  "id": "GHSA-x7hw-2xx5-c529",
  "modified": "2022-05-14T03:19:57Z",
  "published": "2022-05-14T03:19:57Z",
  "aliases": [
    "CVE-2018-11590"
  ],
  "details": "Espruino before 1.99 allows attackers to cause a denial of service (application crash) with a user crafted input file via an integer overflow during syntax parsing. This was addressed by fixing stack size detection on Linux in jsutils.c.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2018-11590"
    },
    {
      "type": "WEB",
      "url": "https://github.com/espruino/Espruino/issues/1427"
    },
    {
      "type": "WEB",
      "url": "https://github.com/espruino/Espruino/commit/a0d7f432abee692402c00e8b615ff5982dde9780"
    },
    {
      "type": "WEB",
      "url": "https://github.com/espruino/Espruino/files/2019243/so_0.txt"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2018-05-31T16:29:00Z"
  }
}